%define major_version 1.1
%define minor_version 0
%define shortname fedora-ds

Name: fedora-ds-directoryconsole
Version: 1.2.0
Release: alt1
Group: Networking/Other
Vendor: Fedora Project
Url: http://directory.fedoraproject.org
License: LGPL
Summary: Fedora Directory Server Management Console
BuildArch: noarch
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-jss-alt.patch

BuildRequires(Pre): java-devel
BuildRequires: java-devel
BuildRequires: ant
BuildRequires: ldapsdk
BuildRequires: fedora-ds-console
BuildRequires: jss

%description
A Java based remote management console used for Managing Fedora
Directory Server.

%prep
%setup -q
%patch -p1

%build
%ant -Dconsole.location=%_datadir/java -Dldapjdk.jar.name=ldapsdk.jar -Dconsole.location=%_javadir -Dbuilt.dir=`pwd`/built

%install
install -d %buildroot%_datadir/%shortname/html/java/
install -m777 built/package/%{shortname}* %buildroot%_datadir/%shortname/html/java

# create symlinks
pushd %buildroot%_datadir/%shortname/html/java
ln -s %shortname-%version.jar %shortname-%major_version.jar
ln -s %shortname-%version.jar %shortname.jar
ln -s %shortname-%{version}_en.jar %shortname-%{major_version}_en.jar
ln -s %shortname-%{version}_en.jar %{shortname}_en.jar
popd

%files
%_datadir/%shortname/html/java/%shortname-%version.jar
%_datadir/%shortname/html/java/%shortname-%major_version.jar
%_datadir/%shortname/html/java/%shortname.jar
%_datadir/%shortname/html/java/%shortname-%{version}_en.jar
%_datadir/%shortname/html/java/%shortname-%{major_version}_en.jar
%_datadir/%shortname/html/java/%{shortname}_en.jar

%changelog
* Fri Apr 03 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Wed May 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.1-alt1
- Updated to 1.1.1

* Tue Jan 08 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt1
- Fedora-DS 1.1 Final release
- Resolve bug 379191: Online help: Directory Console (ds-console)
- Resolve bug 386041: "Select control OID(s) to add" dialog shows redundant OIDs at the end

* Tue Oct 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071030
- CVS snapshot 20071030
- Resolves bug 308221: Don't try to verify plugin path validity.
- Resolves bug 333171: Deal with illegal input for port field when setting up sync agreement.
- Resolves bug 178247: Removed disabled cachesize field from Database Settings tab.

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071008
- CVS snapshot 20071008

* Mon Nov 14 2005 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation
